Bug 220813 - chcat throwing error messages while changing context
chcat throwing error messages while changing context
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: policycoreutils (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Miroslav Grepl
Ben Levenson
: Reopened
Depends On:
Blocks: 234654 227613
  Show dependency treegraph
 
Reported: 2006-12-27 08:26 EST by Issue Tracker
Modified: 2013-04-19 04:36 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 05:47:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Issue Tracker 2006-12-27 08:26:46 EST
Escalated to Bugzilla from IssueTracker
Comment 8 George C. Wilson 2007-01-03 12:23:39 EST
This bug corresponds to IBM LTC bug 30464. It appears that the LTC comments have
not been mirrored.
Comment 9 Daniel Walsh 2007-01-05 16:09:05 EST
I don't see this being fixed before GA.  To many other critical items before
them.  You should use chcon for this.  chcat was more of a tool for MCS.
Comment 10 Irina Boverman 2007-01-05 16:36:28 EST
IBM, please confirm that this defect is not a blocker for LSPP certification.
Comment 11 Issue Tracker 2007-01-08 10:21:51 EST
Update from IBM:
----- Additional Comments From gcwilson@us.ibm.com  2007-01-08 09:48 EDT
-------
This should not be a blocker for LSPP certification.


This event sent from IssueTracker by emcnabb 
 issue 109712
Comment 20 Daniel Walsh 2007-08-02 09:29:21 EDT
This has not been fixed.
Comment 21 Issue Tracker 2007-08-03 14:41:01 EDT
----- Additional Comments From klausk@br.ibm.com  2007-08-03 13:03 EDT
-------
this is still unfixed in RHEL5.1 (just tested). Per dwalsh comment on
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=220813#c20, this is
still
yet to be solved. 


This event sent from IssueTracker by jkachuck 
 issue 109712
Comment 23 RHEL Product and Program Management 2007-10-19 16:32:08 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 25 Daniel Walsh 2008-01-31 13:22:53 EST
Ok move it to 5.3
Comment 27 RHEL Product and Program Management 2008-06-04 18:50:00 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 28 Daniel Walsh 2008-09-17 15:19:00 EDT
Back ported upstream chcat to RHEL5

Fixed in policycoreutils-1.33.12-14.1.el5.src.rpm
Comment 30 Issue Tracker 2008-10-29 09:41:08 EDT
------- Comment From sglass@us.ibm.com 2008-10-29 07:50 EDT-------
Red Hat this is still a problem:

Hi ,

This bug is not fixed in RHEL5.3 Beta
[root@t6343001 ~]# chcat -L
s0
s0-s0:c0.c1023                 SystemLow-SystemHigh
s0:c0.c1023                    SystemHigh
[root@t6343001 ~]# chcat s0:c0.c1023
Usage /usr/bin/chcat CATEGORY File ...
Usage /usr/bin/chcat -l CATEGORY user ...
Usage /usr/bin/chcat [[+|-]CATEGORY],...]q File ...
Usage /usr/bin/chcat -l [[+|-]CATEGORY],...]q user ...
Usage /usr/bin/chcat -d File ...
Usage /usr/bin/chcat -l -d user ...
Usage /usr/bin/chcat -L
Usage /usr/bin/chcat -L -l user
Use -- to end option list.  For example
chcat -- -CompanyConfidential /docs/businessplan.odt
chcat -l +CompanyConfidential juser
[root@t6343001 ~]# chcat s0-s0:c0.c1023 install.log.syslog
chcon: failed to change context of install.log.syslog to
root:object_r:user_home_t:s0:s0-s0,c0,c1,c2,c3,c4,c5,c6,c7,c8,c9,c10,c11,c12,c13,c14,c15,c16,c17,c18,c19,c20,c21,c22,c23,c24,c25,c26,c27,c28,c29,c30,c31,c32,c33,c34,c35,c36,c37,c38,c39,c40,c41,c42,c43,c44,c45,c46,c47,c48,c49,c50,c51,c52,c53,c54,c55,c56,c57,c58,c59,c60,c61,c62,c63,c64,c65,c66,c67,c68,c69,c70,c71,c72,c73,c74,c75,c76,c77,c78,c79,c80,c81,c82,c83,c84,c85,c86,c87,c88,c89,c90,c91,c92,c93,c94,c95,c96,c97,c98,c99,c100,c101,c102,c103,c104,c105,c106,c107,c108,c109,c110,c111,c112,c113,c114,c115,c116,c117,c118,c119,c120,c121,c122,c123,c124,c125,c126,c127,c128,c129,c130,c131,c132,c133,c134,c135,c136,c137,c138,c139,c140,c141,c142,c143,c144,c145,c146,c147,c148,c149,c150,c151,c152,c153,c154,c155,c156,c157,c158,c159,c160,c161,c162,c163,c164,c165,c166,c167,c168,c169,c170,c171,c172,c173,c174,c175,c176,c177,c178,c179,c180,c181,c182,c183,c184,c185,c186,c187,c188,c189,c190,c191,c192,c193,c194,c195,c196,c197,c198,c199,c200,c201,c202,c203,c204,c205,c206,c207,c208,c209,c210,c211,c212,c213,c214,c215,c216,c217,c218,c219,c220,c221,c222,c223,c224,c225,c226,c227,c228,c229,c230,c231,c232,c233,c234,c235,c236,c237,c238,c239,c240,c241,c242,c243,c244,c245,c246,c247,c248,c249,c250,c251,c252,c253,c254,c255,c256,c257,c258,c259,c260,c261,c262,c263,c264,c265,c266,c267,c268,c269,c270,c271,c272,c273,c274,c275,c276,c277,c278,c279,c280,c281,c282,c283,c284,c285,c286,c287,c288,c289,c290,c291,c292,c293,c294,c295,c296,c297,c298,c299,c300,c301,c302,c303,c304,c305,c306,c307,c308,c309,c310,c311,c312,c313,c314,c315,c316,c317,c318,c319,c320,c321,c322,c323,c324,c325,c326,c327,c328,c329,c330,c331,c332,c333,c334,c335,c336,c337,c338,c339,c340,c341,c342,c343,c344,c345,c346,c347,c348,c349,c350,c351,c352,c353,c354,c355,c356,c357,c358,c359,c360,c361,c362,c363,c364,c365,c366,c367,c368,c369,c370,c371,c372,c373,c374,c375,c376,c377,c378,c379,c380,c381,c382,c383,c384,c385,c386,c387,c388,c389,c390,c391,c392,c393,c394,c395,c396,c397,c398,c399,c400,c401,c402,c403,c404,c405,c406,c407,c408,c409,c410,c411,c412,c413,c414,c415,c416,c417,c418,c419,c420,c421,c422,c423,c424,c425,c426,c427,c428,c429,c430,c431,c432,c433,c434,c435,c436,c437,c438,c439,c440,c441,c442,c443,c444,c445,c446,c447,c448,c449,c450,c451,c452,c453,c454,c455,c456,c457,c458,c459,c460,c461,c462,c463,c464,c465,c466,c467,c468,c469,c470,c471,c472,c473,c474,c475,c476,c477,c478,c479,c480,c481,c482,c483,c484,c485,c486,c487,c488,c489,c490,c491,c492,c493,c494,c495,c496,c497,c498,c499,c500,c501,c502,c503,c504,c505,c506,c507,c508,c509,c510,c511,c512,c513,c514,c515,c516,c517,c518,c519,c520,c521,c522,c523,c524,c525,c526,c527,c528,c529,c530,c531,c532,c533,c534,c535,c536,c537,c538,c539,c540,c541,c542,c543,c544,c545,c546,c547,c548,c549,c550,c551,c552,c553,c554,c555,c556,c557,c558,c559,c560,c561,c562,c563,c564,c565,c566,c567,c568,c569,c570,c571,c572,c573,c574,c575,c576,c577,c578,c579,c580,c581,c582,c583,c584,c585,c586,c587,c588,c589,c590,c591,c592,c593,c594,c595,c596,c597,c598,c599,c600,c601,c602,c603,c604,c605,c606,c607,c608,c609,c610,c611,c612,c613,c614,c615,c616,c617,c618,c619,c620,c621,c622,c623,c624,c625,c626,c627,c628,c629,c630,c631,c632,c633,c634,c635,c636,c637,c638,c639,c640,c641,c642,c643,c644,c645,c646,c647,c648,c649,c650,c651,c652,c653,c654,c655,c656,c657,c658,c659,c660,c661,c662,c663,c664,c665,c666,c667,c668,c669,c670,c671,c672,c673,c674,c675,c676,c677,c678,c679,c680,c681,c682,c683,c684,c685,c686,c687,c688,c689,c690,c691,c692,c693,c694,c695,c696,c697,c698,c699,c700,c701,c702,c703,c704,c705,c706,c707,c708,c709,c710,c711,c712,c713,c714,c715,c716,c717,c718,c719,c720,c721,c722,c723,c724,c725,c726,c727,c728,c729,c730,c731,c732,c733,c734,c735,c736,c737,c738,c739,c740,c741,c742,c743,c744,c745,c746,c747,c748,c749,c750,c751,c752,c753,c754,c755,c756,c757,c758,c759,c760,c761,c762,c763,c764,c765,c766,c767,c768,c769,c770,c771,c772,c773,c774,c775,c776,c777,c778,c779,c780,c781,c782,c783,c784,c785,c786,c787,c788,c789,c790,c791,c792,c793,c794,c795,c796,c797,c798,c799,c800,c801,c802,c803,c804,c805,c806,c807,c808,c809,c810,c811,c812,c813,c814,c815,c816,c817,c818,c819,c820,c821,c822,c823,c824,c825,c826,c827,c828,c829,c830,c831,c832,c833,c834,c835,c836,c837,c838,c839,c840,c841,c842,c843,c844,c845,c846,c847,c848,c849,c850,c851,c852,c853,c854,c855,c856,c857,c858,c859,c860,c861,c862,c863,c864,c865,c866,c867,c868,c869,c870,c871,c872,c873,c874,c875,c876,c877,c878,c879,c880,c881,c882,c883,c884,c885,c886,c887,c888,c889,c890,c891,c892,c893,c894,c895,c896,c897,c898,c899,c900,c901,c902,c903,c904,c905,c906,c907,c908,c909,c910,c911,c912,c913,c914,c915,c916,c917,c918,c919,c920,c921,c922,c923,c924,c925,c926,c927,c928,c929,c930,c931,c932,c933,c934,c935,c936,c937,c938,c939,c940,c941,c942,c943,c944,c945,c946,c947,c948,c949,c950,c951,c952,c953,c954,c955,c956,c957,c958,c959,c960,c961,c962,c963,c964,c965,c966,c967,c968,c969,c970,c971,c972,c973,c974,c975,c976,c977,c978,c979,c980,c981,c982,c983,c984,c985,c986,c987,c988,c989,c990,c991,c992,c993,c994,c995,c996,c997,c998,c999,c1000,c1001,c1002,c1003,c1004,c1005,c1006,c1007,c1008,c1009,c1010,c1011,c1012,c1013,c1014,c1015,c1016,c1017,c1018,c1019,c1020,c1021,c1022,c1023:
Invalid argument
[root@t6343001 ~]# rpm -qa | grep  policycoreutils
policycoreutils-1.33.12-14.1.el5
policycoreutils-gui-1.33.12-14.1.el5

Still this problem exists


This event sent from IssueTracker by jkachuck 
 issue 109712
Comment 31 Daniel Walsh 2008-12-15 16:04:01 EST
Fixed in policycoreutils-1.33.12-14.2
Comment 39 Issue Tracker 2009-07-14 11:53:48 EDT
Event posted on 07-14-2009 11:53am EDT by jkachuck

Hello Red Hat:

verification failed  - re-open BZ

These are the test results:

> Still seeing the same messages and there is no change in the
policycoreutils
> package
> [root@h0530020 ~]# rpm -qa | grep policycoreutils
> policycoreutils-1.33.12-14.5.el5
> [root@h0530020 ~]# cat /etc/issue
> Red Hat Enterprise Linux Server release 5.4 Beta (Tikanga)
> Kernel \r on an \m
> [root@h0530020 ~]# chcat -L
> s0
> s0-s0:c0.c1023                 SystemLow-SystemHigh
> s0:c0.c1023                    SystemHigh
> [root@h0530020 ~]# chcat s0:c0.c1023 install.log.syslog
> [root@h0530020 ~]# chcat s0-s0:c0.c1023 install.log.syslog
> chcon: failed to change context of install.log.syslog to
> root:object_r:user_home_t:s0:s0-s0,c0.c1023: Invalid argument
> [root@h0530020 ~]# useradd test
> [root@h0530020 ~]# chcat -l s0-s0:c0.c1023 test
> libsepol.mls_from_string: invalid MLS context s0-s0:s0-s0,c0.c1023
> libsepol.mls_from_string: could not construct mls context structure
> libsemanage.validate_handler: seuser mapping [test -> (user_u,
> s0-s0:s0-s0,c0.c1023)] is invalid
> libsemanage.dbase_llist_iterate: could not iterate over records
> /usr/sbin/semanage: Could not add login mapping for test
> [root@h0530020 ~]# uname -a
> Linux h0530020.boeblingen.de.ibm.com 2.6.18-155.el5 #1 SMP Fri Jun 19
17:08:22
> EDT 2009 s390x s390x s390x GNU/Linux
> Thanks!! 


This event sent from IssueTracker by jkachuck 
 issue 109712
Comment 43 Miroslav Grepl 2009-07-22 05:15:41 EDT
Fixed in policycoreutils-1.33.12-14.6.el5
Comment 48 errata-xmlrpc 2009-09-02 05:47:18 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1292.html

Note You need to log in before you can comment on or make changes to this bug.